Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaColumn

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaColumn

All Implemented Interfaces:
  XMLSerializable

    public class JpaColumn

extends Object
implements XMLSerializable

Field Summary
`protected String` | `columnDefinition`
`static int` | `DEFAULT_LENGTH`
`protected boolean` | `insertable`
`protected int` | `length`
`protected String` | `name`
`protected boolean` | `nullable`
`protected int` | `precision`
`protected int` | `scale`
`protected String` | `table`
`protected boolean` | `unique`
`protected boolean` | `updatable`

Constructor Summary
`JpaColumn()`
`JpaColumn(javax.persistence.Column annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getColumnDefinition()`
`int` | `getLength()`
`String` | `getName()`
`int` | `getPrecision()`
`int` | `getScale()`
`String` | `getTable()`
`boolean` | `isInsertable()`
`boolean` | `isNullable()`
`boolean` | `isUnique()`
`boolean` | `isUpdatable()`
`void` | `setColumnDefinition(String columnDefinition)`
`void` | `setInsertable(boolean insertable)`
`void` | `setLength(int length)`
`void` | `setName(String name)`
`void` | `setNullable(boolean nullable)`
`void` | `setPrecision(int precision)`
`void` | `setScale(int scale)`
`void` | `setTable(String table)`
`void` | `setUnique(boolean unique)`
`void` | `setUpdatable(boolean updateable)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_LENGTH

    public static final int DEFAULT_LENGTH

See Also:
  Constant Field Values

### name

    protected String name

### unique

    protected boolean unique

### nullable

    protected boolean nullable

### insertable

    protected boolean insertable

### updatable

    protected boolean updatable

### columnDefinition

    protected String columnDefinition

### table

    protected String table

### length

    protected int length

### precision

    protected int precision

### scale

    protected int scale

Constructor Detail

### JpaColumn

    public JpaColumn()

### JpaColumn

    public JpaColumn(javax.persistence.Column annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getColumnDefinition

    public String getColumnDefinition()

### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)

### isInsertable

    public boolean isInsertable()

### setInsertable

    public void setInsertable(boolean insertable)

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getName

    public String getName()

### setName

    public void setName(String name)

### isNullable

    public boolean isNullable()

### setNullable

    public void setNullable(boolean nullable)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int precision)

### getScale

    public int getScale()

### setScale

    public void setScale(int scale)

### getTable

    public String getTable()

### setTable

    public void setTable(String table)

### isUnique

    public boolean isUnique()

### setUnique

    public void setUnique(boolean unique)

### isUpdatable

    public boolean isUpdatable()

### setUpdatable

    public void setUpdatable(boolean updateable)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.